[SRU] icehouse 2014.1.1 point release

Bug #1328134 reported by Corey Bryant on 2014-06-09
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

OpenStack 2014.1.1 released today (09 June, 2014).

From the release email from Alan Pevec:

A total of 79 bugs have been fixed across all projects. These
updates to Icehouse are intended to be low risk with no
intentional regressions or API changes. The list of bugs, tarballs and
other milestone information for each project may be found on Launchpad:

https://launchpad.net/ceilometer/icehouse/2014.1.1
https://launchpad.net/cinder/icehouse/2014.1.1
https://launchpad.net/glance/icehouse/2014.1.1
https://launchpad.net/heat/icehouse/2014.1.1
https://launchpad.net/horizon/icehouse/2014.1.1
https://launchpad.net/keystone/icehouse/2014.1.1
https://launchpad.net/neutron/icehouse/2014.1.1
https://launchpad.net/nova/icehouse/2014.1.1

OpenStack Database Service (Trove) did not have stable/icehouse fixes
at this time and will skip 2014.1.1 release.

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2014.1.1

Related branches

CVE References

no longer affects: nova (Ubuntu)
Chuck Short (zulcss) on 2014-06-09
affects: nova → ubuntu
affects: ubuntu → nova (Ubuntu)
James Page (james-page) on 2014-06-16
Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid
James Page (james-page) on 2014-06-16
summary: - [SRU] packaging for openstack icehouse 2014.1.1 release
+ [SRU] icehouse 2014.1.1 point release

Hello Corey, or anyone else affected,

Accepted neutron into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted ceilometer into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted glance into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted heat into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Trusty):
status: New → Fix Committed
Changed in horizon (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Jamie Strandboge (jdstrand) wrote :

FYI I uploaded cinder 1:2014.1.1-0ubuntu2 to trusty-proposed for the security update in USN-2248-1 and uploaded the corresponding pending update for neutron in 1:2014.1.1-0ubuntu2 to trusty-proposed.

David Medberry (med) wrote :

Is this SRU being MREd? Or are we just using the standard SRU process for Icehouse->Trusty updates?

James Page (james-page) wrote :

@David

SRU via MRE.

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2014.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Trusty):
status: New → Fix Committed
status: Fix Committed → New
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2014.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted nova into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2014.1.1-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Trusty):
status: New → Fix Committed
Corey Bryant (corey.bryant) wrote :

Hi Chris and others,

Testing of 2014.1.1 from the trusty-proposed repository has completed successfully.

Thanks,
Corey

tags: added: verification-done
removed: verification-needed
Chris J Arges (arges) wrote :

Hello Corey, or anyone else affected,

Accepted glance into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2014.1.1-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
removed: verification-done
Corey Bryant (corey.bryant) wrote :

Hi Chris,

Testing of 2014.1.1 from the trusty-proposed repository has completed
successfully.

Thanks,
Corey

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.1.1-0ubuntu1

---------------
ceilometer (2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (a1ec218) (LP: #1328134):
    - [84635e6] Fix testing gate due to new keystoneclient release
    - [c52904d] Fix network notifications of neutron bulk creation
    - [06eb8bc] Sync kombu_reconnect_delay from Oslo
    - [d247af3] Updated from global requirements
    - [82eed26] Disable specifying alarm itself in combination rule
    - [94c12fd] Adapt failing tests for latest wsme version
    - [a1ec218] Use known protocol scheme in keystone tests
 -- Corey Bryant <email address hidden> Mon, 09 Jun 2014 14:49:20 -0400

Changed in ceilometer (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ceilometer has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.1.1-0ubuntu1

---------------
keystone (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (1716748) (LP: #1328134):
    - [4408625] sql migration: ensure using innodb utf8 for assignment table
    - [786af98] SQL and LDAP fixes for get_roles_for_user_and_project user=group ID
    - [e56fe4c] Updated from global requirements
    - [0bd819c] Removed duplication with list_user_ids_for_project
    - [b932321] Allow any attributes in mapping and include in results
    - [1716748] Treat LDAP attribute names as case-insensitive
  * d/p/fix-requirements.patch: Drop minimum version of six to align to version
    in Ubuntu 14.04.
 -- Corey Bryant <email address hidden> Mon, 09 Jun 2014 15:57:33 -0400

Changed in keystone (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.1.1-0ubuntu1

---------------
heat (2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (27557c9) (LP: #1328134):
    - [368b6d3] Avoid redundant polling of DB for metadata
    - [0f92683] Fix failed to delete the NovaFloatingIPAssociation resource
    - [930cb3c] Fix status reason in events for deployment signals
    - [4b9ff4f] Truncate status_reason to column length
    - [3c560c6] Catch NotFound for keystone delete operations
    - [e63baf6] Using correct attribute of exception
    - [08154b0] Allow NotFound to be created without args
    - [857ca78] Updated from global requirements
    - [03dd894] Don't dynamically create provider types in the global env
    - [937ac5a] Ignore nova limits set to '-1'
    - [27557c9] Don't pass enable_snat by default in Router
  * d/p/fix-requirements.patch: Drop minimum version of six to align to Ubuntu
    14.04 version.
 -- Corey Bryant <email address hidden> Mon, 09 Jun 2014 15:09:49 -0400

Changed in heat (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1.1-0ubuntu1

---------------
horizon (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (fbd5b2e) (LP: #1328134):
    - [e492c7e] Updated from global requirements
    - [e5f04c2] Fix pseudo-folder content listing
    - [cd2f7dc] add missing references to policy files
    - [232b712] Use escapejs filter on JavaScript strings
    - [0c3b710] Add missing mock for cinder.default_quota_get
    - [7c47ec5] Add logging handler for openstack_auth in the tests
    - [306c5ca] Check host is not none in host aggregate page
    - [fbd5b2e] Add missing comma in Volume ResourceWrapper class
  * d/p/fix-requirements.patch: Drop minimum version of six to align to version
    in Ubuntu 14.04.
 -- Corey Bryant <email address hidden> Mon, 09 Jun 2014 15:20:18 -0400

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.1.1-0ubuntu2

---------------
cinder (1:2014.1.1-0ubuntu2) trusty-proposed; urgency=medium

  [ Corey Bryant <email address hidden> ]
  * Resynchronize with stable/icehouse (aa0e752) (LP: #1328134):
    - [d58abc1] Update cinder.conf
    - [5330d3b] Updated from global requirements
    - [41127fb] Properly initialize rpc in cinder-volume-usage-audit
    - [75fa69d] Storwize/SVC driver crashes when check volume copy status
    - [bc585a0] Fix solaris_execute in SolarisISCSIDriver.
    - [bc0442a] Fix wrong exception reference
    - [59fe59e] Correct metadata ordering issue in tests
    - [1e48833] Fallback to None on missing Glance image attrs
    - [767c2a6] Keep volume available if retype fails due to quota
    - [d0602f6] Fixes cinder error state volume delete on Windows
    - [1815c72] Re-raise exceptions in upload-to-image
    - [560740f] GlusterFS: Delete active snapshot file on volume delete.
    - [d17277d] Add exception catch if Storwize/SVC driver failed when retyping
    - [49446bc] Disable oslo.messaging debug logs
    - [aa0e752] Adjust sample config for keystoneclient 0.8.0 release
  * debian/patches/fix-requirements.patch: Refreshed, drop six requirement to
    align to 14.04 version.

  [ Jamie Strandboge <email address hidden> ]
  * SECURITY UPDATE: specify /etc/cinder/rootwrap.conf for use with
    cinder-rootwrap
    - CVE-2013-1068 (LP: #1185019)
 -- Jamie Strandboge <email address hidden> Wed, 18 Jun 2014 13:05:17 -0500

Changed in cinder (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1.1-0ubuntu2

---------------
neutron (1:2014.1.1-0ubuntu2) trusty-proposed; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/icehouse (54ac82b) (LP: #1328134):
    - [2b42dd3] Handle errors from run_ofctl() when dumping flows
    - [d00446b] Reprogram flows when ovs-vswitchd restarts
    - [8d3026b] Added missing plugin .ini files to setup.cfg
    - [072bbc0] NEC plugin: Bump L3RPC callback version to 1.1
    - [47a4954] Remove List events API from Cisco N1kv Neutron
    - [28a26db] Install SNAT rules for ipv4 only
    - [5bdea2d] Use os.uname() instead of calling uname in subprocess
    - [48bc7db] Replace loopingcall in notifier with a delayed send
    - [66eeda2] Explicitly import state_path opt in tests.base
    - [f1b0607] NSX: allow net-migration only in combined mode
    - [8abb05c] NSX: do not raise on missing router during migration step
    - [4c945dd] NSX: fix error when creating VM ports on subnets without dhcp
    - [efa4f28] OVS lib defer apply doesn't handle concurrency
    - [bc30b52] NSX: ensure that no LSN is created on external networks
    - [2bcc7bf] NSX: pass the right argument during metadata setup
    - [26a591a] Big Switch: Check source_address attribute exists
    - [74a9365] L3 RPC loop could delete a router on concurrent update
    - [2a7164a] Optimize querying for security groups
    - [bac4389] set api.extensions logging to ERROR in unit tests
    - [d1ab56d] Make default nova_url use a version
    - [2c56e14] NSX: fix API payloads for dhcp/metadata setup
    - [f217479] NSX: fix migration for networks without a subnet
    - [bf281cd] NSX: change api mapping for Service Cluster to Edge Cluster
    - [7225e2b] NSX: add nsx switch lookup to dhcp and metadata operations
    - [b922aa7] Fixed floating IP logic in PLUMgrid plugin
    - [84650f8] IBM: set secret=True on passwd config field
    - [c5040b4] Update ensure()/reconnect() to catch MessagingError
    - [e0deffc] NSX: Fix fake_api_client to raise NotFound
    - [42a8539] netaddr<=0.7.10 raises ValueError instead of AddrFormatError
    - [68a24e5] Validate CIDR given as ip-prefix in security-group-rule-create
    - [8991aa6] gw_port should be set as lazy='join'
    - [54ac82b] NSX: ensure dhcp port is setup on metadata network

  [ Jamie Strandboge ]
  * SECURITY UPDATE: specify /etc/neutron/rootwrap.conf for use with
    neutron-rootwrap
    - CVE-2013-6433 (LP: #1185019)
 -- Jamie Strandboge <email address hidden> Wed, 18 Jun 2014 15:21:56 -0500

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.1.1-0ubuntu2

---------------
glance (1:2014.1.1-0ubuntu2) trusty; urgency=medium

  * d/p/skip-tests-2.patch: Add patch to skip broken upstream tests.
    See https://bugs.launchpad.net/glance/+bug/1298918.

glance (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (cd1c30a) (LP: #1328134):
    - [19de115] Prevent creation of http images with invalid URIs
    - [e96a53a] Fixes installation of test-requirements
    - [cd1c30a] Updated from global requirements
  * d/p/fix-requirements.patch: Add patch to drop minimum version requirement
    for six.
 -- Corey Bryant <email address hidden> Tue, 01 Jul 2014 17:09:32 -0400

Changed in glance (Ubuntu Trusty):
status: Fix Committed → Fix Released
Chris J Arges (arges) on 2014-07-07
Changed in nova (Ubuntu Trusty):
status: Fix Committed → Fix Released
Chris J Arges (arges) wrote :

nova (1:2014.1.1-0ubuntu1) trusty; urgency=medium

  * Resynchronize with stable/icehouse (867341f) (LP: #1328134):
    - [867341f] Fix security group race condition while listing and deleting rules
    - [ffcb176] VMware: ensure rescue instance is deleted when instance is deleted
    - [fe4fe70] VMware: Log additional details of suds faults
    - [43f0437] Add info_cache as expected attribute when evacuate instance
    - [a2da9ce] VMware: uncaught exception during snapshot deletion
    - [1a45944] Catch InstanceNotFound exception if migration fails
    - [ee374f1] Do not wait for neutron event if not powering on libvirt domain
    - [705ad64] Reap child processes gracefully if greenlet thread gets killed
    - [f769bf8] Fixes arguments parsing when executing command
    - [bedb66f] Use one query instead of two for quota_usages
    - [422decd] VMWare - Check for compute node before triggering destroy
    - [6629116] Use debug level logging in unit tests, but don't save them.
    - [088b718] support local debug logging
    - [080f785] Revert "Use debug level logging during unit tests"
    - [fb03028] VMWare: add power off vm before detach disk during unrescue
    - [d93427a] Check for None or timestamp in availability zone api sample
    - [f5c3330f] Pass configured auth strategy to neutronclient
    - [74d1043] remove unneeded call to network_api on rebuild_instance
    - [f1fdb3c] Remove unnecessary call to fetch info_cache
    - [395ec82] Remove metadata's network-api dependence on the database
    - [a48d268] InvalidCPUInfo exception added to except block
    - [77392a9] Moved the registration of lifecycle event handler in init_host()
    - [40ae1ee] Fix display of server group members
    - [66c7ca1] Change errors_out_migration decorator to work with RPC
    - [e1e140b] Don't explode if we fail to unplug VIFs after a failed boot
    - [c816488] Remove unneeded call to fetch network info on shutdown
    - [7f9f3ef] Don't overwrite instance object with dict in _init_instance()
    - [2728f1e] Fix bug detach volume fails with "KeyError" in EC2
   * debian/patches/libvirt-Handle-unsupported-host-capabilities.patch: Fix exception
     when starting LXC containers. (LP: #1297962)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers